gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Window The main application widget. The widget and associated functions provides the easiest way to create an almost complete Gnome# application. Simply create an instance of the widget, append any menus, toolbar(s) and a statusbar, as required (this will probably be done with some functions from the following pages). Then fill in the main contents with a call to and start the main loop (with ).
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  an object of type
  an object of type
  Creates a new instance.
- Property
  2.24.0.0
  Gtk.AccelGroup The 's a
- Property
  2.24.0.0
  GLib.Property("app_id")
  System.String To be added a To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  2.24.0.0
  Gtk.Widget The content area of the main window of the . an object of type
- Method
  2.24.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Obsolete("Replaced by overload with no IntPtr arg")
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Obsolete("Replaced by overload with no IntPtr arg")
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` an object of type Specify whether should automatically save the dock's layout configuration via gnome-config whenever it changes or not. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  Gtk.Widget `` `` `` a a a To be added a To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Obsolete("Replaced by overload with no IntPtr arg")
  System.Void `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  2.24.0.0
  Gtk.MenuBar Sets the of the application window. an object of type
- Property
  2.24.0.0
  System.String The application name a
- Property
  2.24.0.0
  System.String The application's install prefix a
- Method
  2.24.0.0
  System.Void `` `` `` an object of type an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Sets the of the application window, but uses as its container.
- Property
  2.24.0.0
  Gtk.Widget The status bar of the application window. an object of type
- Property
  2.24.0.0
  Gtk.Toolbar Sets the main toolbar of the application window. an object of type
- Method
  2.24.0.0
  System.Void `` an object of type To be added To be added